LiteSearch

| コメント(1) | トラックバック(0)

利用方法

readme に従って各ファイルのパスを修正。下記の3ファイルを設置。mt-lite-search.cgi には実行権限を与えてください。

  • mt-lite-search.cgi -- CGI本体
  • config.pl -- 設定ファイル (mt-lite-search.cgi と同じ階層に設置)
  • extlib/MTLiteSearch.pm (検索プログラム mtフォルダ内の extlib 内に設置)

readme に従い検索ページ用のテンプレートを「mt-lite-search」という名前で作成し、保存します。

CGIに渡すパラメータについては以下の通りです。

  • start (表示開始位置)
  • limit (1ページあたりの表示件数)
  • blog_id (0を指定するとすべてのブログが対象となります)
  • search (検索する文字列, スペースで区切るとand検索となります)

対応バージョン

Movable Type3.x, Movable Type4.0

ライセンス

クリエイティブ・コモンズ・ライセンス (表示-非営利-継承 2.1 日本 ライセンス)

関連エントリー

ダウンロード

Movable Typeプラグイン

トラックバック(0)

トラックバックURL: http://junnama.alfasado.net/cgi/mt/mt-tb.cgi/269

コメント(1)

はじめまして。
ブログでの検索が遅いので、こちらのプラグインを使用させていただこう
と思ったのですが、うまく設定できない状態です。

対応バージョンにはMovableType4.0とありますが、readmeには
3.xまでしかありません。
私はMT4.1を使用しているのですが使用できますでしょうか?

また使用できる場合、
mt-lite-search.cgi、config.plはmtフォルダ直下に設置であってますか?それともpluginsフォルダでしょうか?

現在pluginsフォルダにmt-lite-search.cgi、config.plを設置したところ、システムのプラグインの一覧にconfig.plが表示されます。
ところが、テンプレートにmt-lite-searchを作成し、例の通り保存しますと、各種テンプレートタグが存在しませんと表示されます。

申し訳ないのですが、おしえてください。よろしくお願いします。

コメントする

Facebook

Twitter

このブログ記事について

このページは、Junnama Nodaが2007年7月16日 04:20に書いたブログ記事です。

ひとつ前のブログ記事は「TouchMe」です。

次のブログ記事は「Jaccessibility」です。

最近のコンテンツはインデックスページで見られます。過去に書かれたものはアーカイブのページで見られます。

Powered by Movable Type 6.2.6